﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ShahyadS.TFSBuildInspectionModel;

namespace ShahyadS.VisualStudio
{
	public interface IVisualStudioAdapter
	{
		Uri TeamProjectCollectionUrl { get; set; }
		void QueueNewBuild(Uri BuildDefinitionUri);
		void OpenBuildExplorer(string teamProject, string buildDefinitionName);
		void FindInTeamExplorer(string teamProject, string buildDefinitionName);
		void EditBuildDefinition(Uri buildDefinitionUri);
		void OpenBuildDetail(Uri buildUri);
		void ShowControllerManager();
	}
}
